#include <bits/stdc++.h>
using namespace std;

string rastuci(vector<int> temp)
{
    long long t;
    for(t=0;t<temp.size();t++)
    {
        if(temp.at(t)>temp.at(t+1))
            return "NE";
    }
    return "DA";
}

int main()
{
    bool c=false;
    long long n, i, q, j, b=0, k;
    cin >> n;
    long long nizN[n];
    for(i=0;i<n;i++)
        cin >> nizN[i];
    cin >> q;
    long long nizQ[2*q];
    vector<int> temp;
    for(i=0;i<2*q;i++)
    {
        cin >> nizQ[i] >> nizQ[i+1];
        i++;
    }

    for(i=0;i<2*q;i++)
    {
        temp.clear();
        b=0;
        if(nizQ[i]==nizQ[i+1])
            cout << "DA" << endl;
        else
        {
            for(j=0;j<nizQ[i+1]-nizQ[i]+2;j++)
            {
                for(k=nizQ[i]-1;k<nizQ[i+1]-nizQ[i];k++)
                {
                    if(k!=b)
                        temp.push_back(nizN[k]);
                }
                if(rastuci(temp)=="DA")
                {
                    cout << "DA" << endl;
                    break;
                }
                else
                    cout << "NE" << endl;
                b++;
            }
        }
        i++;
    }
    return 0;
}